-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Lite Edition"

-- DATE "10/22/2019 16:04:00"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	part1 IS
    PORT (
	KEY : IN std_logic_vector(1 DOWNTO 0);
	LEDR : OUT std_logic_vector(9 DOWNTO 0)
	);
END part1;

-- Design Ports Information
-- LEDR[0]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[1]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[2]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[3]	=>  Location: PIN_V18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[4]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[5]	=>  Location: PIN_W19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[6]	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[7]	=>  Location: PIN_W20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[8]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[9]	=>  Location: PIN_Y21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[1]	=>  Location: PIN_AA15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- KEY[0]	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF part1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_KEY : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_LEDR : std_logic_vector(9 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \KEY[1]~input_o\ : std_logic;
SIGNAL \KEY[1]~inputCLKENA0_outclk\ : std_logic;
SIGNAL \KEY[0]~input_o\ : std_logic;
SIGNAL \UUT|value[0]~4_combout\ : std_logic;
SIGNAL \UUT|value[0]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|value[1]~0_combout\ : std_logic;
SIGNAL \UUT|value[1]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|value[2]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|value[3]~2_combout\ : std_logic;
SIGNAL \UUT|value[3]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|value~3_combout\ : std_logic;
SIGNAL \UUT|value~1_combout\ : std_logic;
SIGNAL \UUT|value[4]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|rollower~0_combout\ : std_logic;
SIGNAL \UUT|rollower~q\ : std_logic;
SIGNAL \UUT|value\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \UUT|ALT_INV_value[3]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|ALT_INV_value[2]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|ALT_INV_value[1]~DUPLICATE_q\ : std_logic;
SIGNAL \UUT|ALT_INV_value[0]~DUPLICATE_q\ : std_logic;
SIGNAL \ALT_INV_KEY[0]~input_o\ : std_logic;
SIGNAL \UUT|ALT_INV_rollower~q\ : std_logic;
SIGNAL \UUT|ALT_INV_value\ : std_logic_vector(4 DOWNTO 0);

BEGIN

ww_KEY <= KEY;
LEDR <= ww_LEDR;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\UUT|ALT_INV_value[3]~DUPLICATE_q\ <= NOT \UUT|value[3]~DUPLICATE_q\;
\UUT|ALT_INV_value[2]~DUPLICATE_q\ <= NOT \UUT|value[2]~DUPLICATE_q\;
\UUT|ALT_INV_value[1]~DUPLICATE_q\ <= NOT \UUT|value[1]~DUPLICATE_q\;
\UUT|ALT_INV_value[0]~DUPLICATE_q\ <= NOT \UUT|value[0]~DUPLICATE_q\;
\ALT_INV_KEY[0]~input_o\ <= NOT \KEY[0]~input_o\;
\UUT|ALT_INV_rollower~q\ <= NOT \UUT|rollower~q\;
\UUT|ALT_INV_value\(4) <= NOT \UUT|value\(4);
\UUT|ALT_INV_value\(3) <= NOT \UUT|value\(3);
\UUT|ALT_INV_value\(2) <= NOT \UUT|value\(2);
\UUT|ALT_INV_value\(1) <= NOT \UUT|value\(1);
\UUT|ALT_INV_value\(0) <= NOT \UUT|value\(0);

-- Location: IOOBUF_X52_Y0_N2
\LEDR[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|value[0]~DUPLICATE_q\,
	devoe => ww_devoe,
	o => ww_LEDR(0));

-- Location: IOOBUF_X52_Y0_N19
\LEDR[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|value[1]~DUPLICATE_q\,
	devoe => ww_devoe,
	o => ww_LEDR(1));

-- Location: IOOBUF_X60_Y0_N2
\LEDR[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|value\(2),
	devoe => ww_devoe,
	o => ww_LEDR(2));

-- Location: IOOBUF_X80_Y0_N2
\LEDR[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|value\(3),
	devoe => ww_devoe,
	o => ww_LEDR(3));

-- Location: IOOBUF_X60_Y0_N19
\LEDR[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|value[4]~DUPLICATE_q\,
	devoe => ww_devoe,
	o => ww_LEDR(4));

-- Location: IOOBUF_X80_Y0_N19
\LEDR[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(5));

-- Location: IOOBUF_X84_Y0_N2
\LEDR[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(6));

-- Location: IOOBUF_X89_Y6_N5
\LEDR[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(7));

-- Location: IOOBUF_X89_Y8_N5
\LEDR[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(8));

-- Location: IOOBUF_X89_Y6_N22
\LEDR[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \UUT|rollower~q\,
	devoe => ww_devoe,
	o => ww_LEDR(9));

-- Location: IOIBUF_X36_Y0_N18
\KEY[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(1),
	o => \KEY[1]~input_o\);

-- Location: CLKCTRL_G6
\KEY[1]~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \KEY[1]~input_o\,
	outclk => \KEY[1]~inputCLKENA0_outclk\);

-- Location: IOIBUF_X36_Y0_N1
\KEY[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_KEY(0),
	o => \KEY[0]~input_o\);

-- Location: FF_X57_Y2_N17
\UUT|value[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[0]~4_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value\(0));

-- Location: LABCELL_X57_Y2_N15
\UUT|value[0]~4\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|value[0]~4_combout\ = ( !\UUT|value\(0) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "1111111111111111000000000000000011111111111111110000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datae => \UUT|ALT_INV_value\(0),
	combout => \UUT|value[0]~4_combout\);

-- Location: FF_X57_Y2_N16
\UUT|value[0]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[0]~4_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value[0]~DUPLICATE_q\);

-- Location: FF_X57_Y2_N20
\UUT|value[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[1]~0_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value\(1));

-- Location: LABCELL_X57_Y2_N18
\UUT|value[1]~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|value[1]~0_combout\ = ( !\UUT|value\(1) & ( \UUT|value[0]~DUPLICATE_q\ ) ) # ( \UUT|value\(1) & ( !\UUT|value[0]~DUPLICATE_q\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111111111111111111110000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datae => \UUT|ALT_INV_value\(1),
	dataf => \UUT|ALT_INV_value[0]~DUPLICATE_q\,
	combout => \UUT|value[1]~0_combout\);

-- Location: FF_X57_Y2_N19
\UUT|value[1]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[1]~0_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value[1]~DUPLICATE_q\);

-- Location: FF_X57_Y2_N59
\UUT|value[2]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value~1_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value[2]~DUPLICATE_q\);

-- Location: FF_X57_Y2_N43
\UUT|value[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[3]~2_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value\(3));

-- Location: LABCELL_X57_Y2_N42
\UUT|value[3]~2\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|value[3]~2_combout\ = ( \UUT|value\(3) & ( \UUT|value[1]~DUPLICATE_q\ & ( (!\UUT|value\(0)) # (!\UUT|value[2]~DUPLICATE_q\) ) ) ) # ( !\UUT|value\(3) & ( \UUT|value[1]~DUPLICATE_q\ & ( (\UUT|value\(0) & \UUT|value[2]~DUPLICATE_q\) ) ) ) # ( 
-- \UUT|value\(3) & ( !\UUT|value[1]~DUPLICATE_q\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000001100111111111111001100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \UUT|ALT_INV_value\(0),
	datad => \UUT|ALT_INV_value[2]~DUPLICATE_q\,
	datae => \UUT|ALT_INV_value\(3),
	dataf => \UUT|ALT_INV_value[1]~DUPLICATE_q\,
	combout => \UUT|value[3]~2_combout\);

-- Location: FF_X57_Y2_N44
\UUT|value[3]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value[3]~2_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value[3]~DUPLICATE_q\);

-- Location: LABCELL_X57_Y2_N30
\UUT|value~3\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|value~3_combout\ = ( \UUT|value\(4) & ( \UUT|value[0]~DUPLICATE_q\ & ( (!\UUT|value\(1)) # (!\UUT|value[3]~DUPLICATE_q\ $ (!\UUT|value[2]~DUPLICATE_q\)) ) ) ) # ( !\UUT|value\(4) & ( \UUT|value[0]~DUPLICATE_q\ & ( (\UUT|value[3]~DUPLICATE_q\ & 
-- (\UUT|value\(1) & \UUT|value[2]~DUPLICATE_q\)) ) ) ) # ( \UUT|value\(4) & ( !\UUT|value[0]~DUPLICATE_q\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000000000111111001111111100",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \UUT|ALT_INV_value[3]~DUPLICATE_q\,
	datac => \UUT|ALT_INV_value\(1),
	datad => \UUT|ALT_INV_value[2]~DUPLICATE_q\,
	datae => \UUT|ALT_INV_value\(4),
	dataf => \UUT|ALT_INV_value[0]~DUPLICATE_q\,
	combout => \UUT|value~3_combout\);

-- Location: FF_X57_Y2_N32
\UUT|value[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value~3_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value\(4));

-- Location: LABCELL_X57_Y2_N57
\UUT|value~1\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|value~1_combout\ = ( \UUT|value\(2) & ( \UUT|value[0]~DUPLICATE_q\ & ( !\UUT|value\(1) ) ) ) # ( !\UUT|value\(2) & ( \UUT|value[0]~DUPLICATE_q\ & ( (\UUT|value\(1) & ((!\UUT|value\(4)) # (\UUT|value[3]~DUPLICATE_q\))) ) ) ) # ( \UUT|value\(2) & ( 
-- !\UUT|value[0]~DUPLICATE_q\ ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000111111111111111100000000110011111111111100000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \UUT|ALT_INV_value\(4),
	datac => \UUT|ALT_INV_value[3]~DUPLICATE_q\,
	datad => \UUT|ALT_INV_value\(1),
	datae => \UUT|ALT_INV_value\(2),
	dataf => \UUT|ALT_INV_value[0]~DUPLICATE_q\,
	combout => \UUT|value~1_combout\);

-- Location: FF_X57_Y2_N58
\UUT|value[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value~1_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value\(2));

-- Location: FF_X57_Y2_N31
\UUT|value[4]~DUPLICATE\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|value~3_combout\,
	clrn => \KEY[0]~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|value[4]~DUPLICATE_q\);

-- Location: LABCELL_X57_Y2_N36
\UUT|rollower~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \UUT|rollower~0_combout\ = ( !\KEY[0]~input_o\ & ( (((\UUT|rollower~q\))) ) ) # ( \KEY[0]~input_o\ & ( (!\UUT|value\(2) & (!\UUT|value[3]~DUPLICATE_q\ & (\UUT|value\(1) & (\UUT|value\(4) & \UUT|value[0]~DUPLICATE_q\)))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "on",
	lut_mask => "0000111100001111000000000000000000001111000011110000000000001000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \UUT|ALT_INV_value\(2),
	datab => \UUT|ALT_INV_value[3]~DUPLICATE_q\,
	datac => \UUT|ALT_INV_value\(1),
	datad => \UUT|ALT_INV_value\(4),
	datae => \ALT_INV_KEY[0]~input_o\,
	dataf => \UUT|ALT_INV_value[0]~DUPLICATE_q\,
	datag => \UUT|ALT_INV_rollower~q\,
	combout => \UUT|rollower~0_combout\);

-- Location: FF_X57_Y2_N38
\UUT|rollower\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \KEY[1]~inputCLKENA0_outclk\,
	d => \UUT|rollower~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \UUT|rollower~q\);

-- Location: LABCELL_X43_Y62_N0
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


