library ieee;
use ieee.std_logic_1164.all;


entity testbench is
end testbench;

architecture tb of testbench is
	constant T_clk : time := 20 ns;
	signal reset_tb, clk_tb : std_logic;  -- inputs 
	signal q_tb : std_logic_vector(9 downto 0);  -- outputs
begin
	-- connecting testbench signals
	UUT : entity work.part1(behav) port map ( KEY(0) => reset_tb, KEY(1) => clk_tb, LEDR => q_tb );


	-- continuous clock
	
	process
	begin
	clk_tb <= '1';
	wait for T_clk/2;
	clk_tb <= '0';
	wait for T_clk/2;
	end process;
	
	

	-- signals
	process
	begin
	reset_tb <= '0';  -- reset
	wait for 30 ns;
	reset_tb <= '1';
	wait for 100 ns;
	reset_tb <= '0';
	wait for 60 ns;
	reset_tb <= '1';
	wait;
	end process;
end tb ;